/* ------------------------------------- */
/* Static CSS */


.artistNameButton {
    width: calc(80px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    overflow-wrap: break-word;
    text-align: start;
    outline: none;
    border: none;
    padding: 0;
    margin: 0;
    background: transparent;
}
/* END */
/* ------------------------------------- */





/* ------------------------------------- */
/* Main Body */
.mainFavoritesDiv {
    width: 100vw;
    height: 100%;
    display: grid;
    grid-template-rows: auto 1fr;
    justify-content: center;
    padding: 50px 20px;
}

.mainFavoritesDivChild {
    display: grid;
    padding: 0px 20px 40px 20px;
    width: calc(800px + (200) * ((100vw - 400px) / (1600 - 320)));
    height: auto;
    min-height: 300px;
    grid-template-columns: auto auto auto auto;
    column-gap: 15px;
    justify-content: space-around;
    grid-template-rows: 1fr;
    background-color: rgb(32, 32, 32);
    box-shadow: 0 0 10px rgba(113, 113, 113, 0.677);
}

.mainFavoritesDivChildSmall {
    display: grid;
    padding: 0px 20px 40px 20px;
    width: calc(800px + (200) * ((100vw - 400px) / (1600 - 320)));
    height: auto;
    min-height: 300px;
    column-gap: 15px;
    justify-content: space-around;
    grid-template-rows: 1fr;
    background-color: rgb(32, 32, 32);
    box-shadow: 0 0 10px rgba(113, 113, 113, 0.677);
}
/* END */
/* ------------------------------------- */




@media (max-width: 700px) {
    .mainFavoritesDiv {
            width: 100%;
            height: fit-content;
            display: grid;
            grid-template-rows: auto 1fr;
            justify-content: center;
            padding: 50px 20px;
        }

        .mainFavoritesDivChild {
            display: grid;
            padding: 0px 20px 40px 20px;
            width: 100%;
            height: fit-content;
            grid-template-columns: auto auto;
            background-color: rgb(32, 32, 32);
        }

        .FavoritesGridsDiv {
            max-width: 300px;
        }

        .FavoritesGridsDivChild {
            width: auto;
        }

        /* Button Div */
        .FavoritesButtonDiv {
            display: flex;
            height: fit-content;
            justify-content: flex-end;
            line-height: normal;
            padding: 0;
            margin: 0;
        }

        .FavoritesButton {
            background-color: transparent;
            height: auto;
            border: none;
            outline: none;
            font-size: 30px;
            padding: 0;
            margin: 0 0 -5px 0;
        }

        /* Name Div */

}
/* ------------------------------------- */
/* For Smaller Screens */
@media (min-width: 600px) and (max-width: 900px) {
    .mainFavoritesDiv {
        width: 100%;
        height: fit-content;
        display: grid;
        grid-template-rows: auto 1fr;
        justify-content: center;
        padding: 50px 20px;
    }

    .mainFavoritesDivChild {
        display: grid;
        padding: 0px 20px 40px 20px;
        width: 100%;
        height: fit-content;
        grid-template-columns: auto auto auto;
        background-color: rgb(32, 32, 32);
    }

    .FavoritesGridsDiv {
        max-width: 300px;
    }

    .FavoritesGridsDivChild {
        width: auto;
    }


    /* Button Div */
    .FavoritesButtonDiv {
        display: flex;
        height: fit-content;
        justify-content: flex-end;
        line-height: normal;
        padding: 0;
        margin: 0;
    }

    .FavoritesButton {
        background-color: transparent;
        height: auto;
        border: none;
        outline: none;
        font-size: 30px;
        padding: 0;
        margin: 0 0 -5px 0;
    }

    /* Name Div */

}
/* END */
/* ------------------------------------- */



.FavoritesButton:hover {
    color: rgb(149, 149, 253);
}

/* ------------------------------------- */
/* For Bigger Screens */
@media(min-width: 900px) {
.FavoritesButtonDiv {
        display: flex;
        line-height: normal;
        justify-content: flex-end;
        padding: 0;
        margin: 0;
    }

    .FavoritesButton {
        background-color: transparent;
        border: none;
        outline: none;
        font-size: 30px;
        padding: 0;
        margin: 0;
    }


}
/* END */
/* ------------------------------------- */





/* ------------------------------------- */
/* Search Grid */
.FavoritesGridsDiv {
    height: calc(200px + (100 - 30) * ((100vw - 200px) / (1600 - 520)));
    width: fit-content;
}

.FavoritesGridsDivChild {
    height: fit-content;
    width: fit-content;
}

.FavoritesFor {
    font-size: 30px;
    color: black;
}
/* END */
/* ------------------------------------- */

.FavoritesNameDiv {
    display: flex;
    justify-content: flex-start;
    width: 93%;
    margin: 0;
    padding: 0;
}

.FavoritesName {
    width: auto;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
    font-size: min(20px, calc(14px + (60 - 40) * ((100vw - 600px) / (2000 - 320))));
    margin: 0;
    padding: 0;
    text-decoration: none;
    color: white;
    cursor: pointer;
}


.FavoritesName:hover {
    color: rgb(149, 149, 253);
}

/* ------------------------------------- */
/* Button Div */


/* Name Div */


/* END */
/* ------------------------------------- */



.FavoritesNameAndButtonDiv {
    display: flex;
    align-items: end;
    width: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    height: calc(5px + (100 - 50) * ((100vw - 200px) / (1600 - 520)));
    max-height: 10px;
    justify-content: space-between;
    padding: 0;
    min-height: 50px;
}


.noArtistsAdded {
    display: flex;
    justify-content: center;
    align-items: center;
}



.FavoritesImage {
    width: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    height: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    transition:
    transform .6s ease-in-out,
    border-radius .6s ease-in-out,
    box-shadow .6s ease-in-out,
    scale 2s ease-in-out;
    box-shadow: 0 0 0 2px transparent;
    border-radius: 2px;
    position: relative;
    z-index: 3;
}


.cd {
    width: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    height: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    transition:
    transform .3s ease-in-out,
    opacity 1s ease,
    visibility .6s ease-in-out,
    rotate .5s ease
    ;
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    z-index: 2;
    animation: spinCounterClockwise 1s linear reverse;
    animation-fill-mode: forwards;
}

.photoDiv:hover .cd {
    z-index: 2;
    opacity: 1;
    visibility: visible;
    animation: spinClockwise 1s linear;
    animation-fill-mode: forwards;
}

@keyframes spinClockwise {
    from { transform: translateX(0%) rotate(0deg); }
    to { transform: translateX(40%) rotate(360deg); }
}

@keyframes spinCounterClockwise {
    from { transform: translateX(0) rotate(-360deg); }
    to { transform: translateX(0%) rotate(0deg); }
}


.photoDiv:hover .FavoritesImage {
    transform: perspective(2000px) rotateY(3deg) rotateZ(3deg);
    border: 1px solid rgb(255, 255, 255);
}

.photoDiv {
    position: relative;
    width: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    height: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
}

.favoritesImageDiv {
    position: relative;
    z-index: 1;
    width: fit-content;
    height: fit-content;
    transition:
    z-index .6s ease,
}

.favoritesImageDiv.active {
    z-index: 7;
}

.overlayPhoto {
    width: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    height: calc(125px + (100 - 40) * ((100vw - 200px) / (1600 - 520)));
    transition:
    transform .6s ease-in-out,
    opacity 1s ease, visibility .6s ease-in-out;
    position: absolute;
    background-color: rgb(32, 32, 32);
    top: 0;
    left: 0;
    opacity: 1;
    transform: translateX(0%);
    z-index: 3;
}
